China factories

Nordic Vintage Plant Chandelier Iron Art Personality Creative Aisle Restaurant Cafe Bar Chandelier

Price: $24.75-32.63/Set Get Latest Price
  • Brand Name: HEKEYLT
  • Model Number: JYL-PFP72701
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Vintage Chandelier Loft For Living Room Bedroom Kitchen Indoor LED Nordic Retro iron chandelier(WH-VP-80)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House
  • Model Number: WH-VP-80
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

80cm Black Vintage Nordic Artificial Plant Vase Plants Pot Office Decorative Ornaments

Price: Negotiable Get Latest Price
  • Brand Name: HAIHONG
  • Model Number: HK5893
  • Minimum Order Quantity: 50 pieces
  • Delivery Time: 25-30 days
  • view more

French Cream Style Nordic Living Room Chandelier Round Buddhist Bead Art Chandelier

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: P55333
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

Retractable Blades Industrial Ceiling Fan , Vintage Cage Chandelier Ceiling Fan

Price: Negotiable Get Latest Price
  • Brand Name: 1stshine/OEM
  • Model Number: IBCF-C16
  • Minimum Order Quantity: 300
  • Delivery Time: 15-30 work days
  • view more

Gramercy Grande Wide Chandelier Modern Vintage Crystal Chandeliers For Boutique Hotels

Price: 899 Get Latest Price
  • Brand Name: Yihaowo
  • Model Number: YH-D0026
  • Minimum Order Quantity: 1
  • Delivery Time: 10-20 working days
  • view more

Nordic Light Luxury Chandelier Creative gold hang lamp decorative glass pendant lamp

Price: L120*W120*H120mm , 1piece, 19.45USD Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B2016
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Retractable Blades Industrial Ceiling Fan , Vintage Cage Chandelier Ceiling Fan

Price: Negotiable Get Latest Price
  • Brand Name: 1stshine/OEM
  • Model Number: IBCF-C16
  • Minimum Order Quantity: 300
  • Delivery Time: 15-30 work days
  • view more

Black Rattan Counter Height Bar Stool Nordic Vintage Style Coffee Shop Island Bench

Price: Price:Contact Us For More Discounts Get Latest Price
  • Brand Name: Easyhome
  • Model Number: MSR-M1140
  • Minimum Order Quantity: MOQ:1
  • Delivery Time: 25days
  • view more

BAMBOO Nordic Vintage Tea Set Luxury Bone Cups and Saucers for Cafe Milk Tea Moments

Price: $4.76/sets 10-239 sets Get Latest Price
  • Brand Name: Selead
  • Model Number: Kfb44
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: Negotiable
  • view more

end Wood Grain Round Chair Nordic Vintage Leisure Chair Wood Leather Tea Table Living Room Supporting Furniture Egg Chair

Price: Whatsapp+8613143167074 Get Latest Price
  • Brand Name: MOYI Furniture
  • Model Number: Negotiable
  • Minimum Order Quantity: 1 set
  • Delivery Time: 25-30Days
  • view more

Vintage Plant Gilded PET Sticker Aesthetic Planning Sticker DIY Handmade Decorative Scrapbook

Price: According to different materials/sizes/quantities/designs/ processes Get Latest Price
  • Brand Name: 3C
  • Model Number: Gilded sticker
  • Minimum Order Quantity: 3000 sets
  • Delivery Time: About 15 days
  • view more

Dimmable Black Vintage Ceiling Light 63" Two Tier Chandelier 270W

Price: 100-10000USD Get Latest Price
  • Brand Name: MOMO
  • Model Number: MM7000007
  • Minimum Order Quantity: 1
  • Delivery Time: 4 weeks
  • view more

Wedding Decor Surface Mounted Led Ceiling Lights GU10 Chandeliers Nordic Lights Aluminum

Price: Negotiable Get Latest Price
  • Brand Name: TOSEO
  • Model Number: TS5208
  • Minimum Order Quantity: 300
  • Delivery Time: 45
  • view more

Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps

Price: Negotiable(very competitive) Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: 20 days to 50 days after received the deposit.
  • view more

Creative Led Floating Clouds Chandeliers Hanging Lamps White Nordic Lamp Modern

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

Bedside chandelier modern bedroom living room sofa background wall lamp pendant spotlight hotel villa Nordic atmosphere

Price: Negotiable Get Latest Price
  • Brand Name: AIA LED
  • Model Number: LCT113
  • Minimum Order Quantity: 30PCS
  • Delivery Time: 10-15days
  • view more

Natural Grey Vintage Dining Wooden Chairs Nordic Banquet Wishbone Chair

Price: Factory Direct Price Get Latest Price
  • Brand Name: Unik Ideas
  • Model Number: UK-NC022
  • Minimum Order Quantity: 50 Piece
  • Delivery Time: 7-25 Days
  • view more

Nordic Style Artificial Decoration Plants Skybird Tree 40*60cm

Price: As Negotiated Get Latest Price
  • Brand Name: BRIGHT
  • Model Number: BS001
  • Minimum Order Quantity: 100 pcs
  • Delivery Time: 10-15 days
  • view more

Vintage Wrought Iron Standing Candelabra Floor Candelabra Tall Luxury Hexagon Gold 160cm

Price: $170.00/pieces 10-29 pieces Get Latest Price
  • Brand Name: SAIXIN
  • Model Number: ZT-405G
  • Minimum Order Quantity: 10 pieces
  • Delivery Time: Negotiable
  • view more